<?php
echo $this->Html->script('/js/components/bootstrap-calendar/js/language/fr-FR.js');
echo $this->Html->css('/js/components/bootstrap-calendar/css/calendar.min.css');

$this->Html->addCrumb(__('Séances'), ['action' => 'index']);

echo $this->Bs->tag('h3', __('Calendrier des séances'));
$this->Html->addCrumb(__('Calendrier'));

echo $this->Bs->row() .
 $this->Bs->col('xs4') .
 $this->Bs->tag('h4', __('Année')) . $this->Bs->tag('small', __('Pour voir une séance cliquez sur la date')) .
 $this->Bs->close() .
 $this->Bs->col('xs8') .
 $this->Bs->div('pull-right form-inline') .
 $this->Bs->div('btn-group') .
 $this->Bs->btn('<span class="fa fa-arrow-left"></span> ' . __('Précédent'), null, ['tag' => 'button', 'type' => 'primary', 'data-calendar-nav' => 'prev', 'escape' => false]) .
 $this->Bs->btn(__('Aujourd\'hui'), null, ['tag' => 'button', 'type' => 'default', 'data-calendar-nav' => 'today']) .
 $this->Bs->btn(__('Suivant') . ' <span class="fa fa-arrow-right"></span>', null, ['tag' => 'button', 'type' => 'primary', 'data-calendar-nav' => 'next', 'escape' => false]) .
 $this->Bs->close() .
 $this->Bs->div('btn-group') .
 $this->Bs->btn(__('Année'), null, ['tag' => 'button', 'type' => 'warning', 'data-calendar-view' => 'year', 'class' => 'active']) .
 $this->Bs->btn(__('Mois'), null, ['tag' => 'button', 'type' => 'warning', 'data-calendar-view' => 'month']) .
 $this->Bs->btn(__('Jour'), null, ['tag' => 'button', 'type' => 'warning', 'data-calendar-view' => 'day']) .
 $this->Bs->close() .
 $this->Bs->div('btn-group') .
 $this->Bs->btn($this->Bs->icon('plus') . ' ' . __('Créer une séance'), ['controler' => 'seances', 'action' => 'add'], ['type' => 'primary', 'escape' => false]) .
 $this->Bs->close(4);

echo $this->Bs->div(null, null, ['id' => 'calendar']);
?>
<script type="text/javascript">
require(['domReady'], function (domReady) {
    domReady(function() {
        var calendar = $("#calendar").calendar(
                {
                    view: 'year',
                    language: 'fr-FR',
                    tmpl_path: "/js/components/bootstrap-calendar/tmpls/",
                    events_source: function () {
                        return  <?php
    $seances_calendrier = [];
    foreach ($seances as $seance) {
        $seances_calendrier[] = ['id' => $seance['id'], 'url' => $this->Html->url(['controller' => 'seances', 'action' => 'edit', $seance['id']]
        ), 'class' => 'event-important', 'title' => $seance['libelle'] . ' à ' . date('H\Hi', $seance['timestamp']) . ' le ' . date('d/m/Y', $seance['timestamp']), 'start' => $seance['start'] . '000', 'end' => $seance['end'] . '000'];
    }

    echo json_encode($seances_calendrier);
    ?>;
                    },
                    onAfterEventsLoad: function (events) {
                        if (!events) {
                            return;
                        }
                        var list = $('#eventlist');
                        list.html('');

                        $.each(events, function (key, val) {
                            $(document.createElement('li'))
                                    .html('<a href="' + val.url + '">' + val.title + '</a>')
                                    .appendTo(list);
                        });
                    },
                    onAfterViewLoad: function (view) {
                        $('h4').text(this.getTitle());
                        $('.btn-group button').removeClass('active');
                        $('button[data-calendar-view="' + view + '"]').addClass('active');
                    },
                });

        $('.btn-group button[data-calendar-nav]').each(function () {
            var $this = $(this);
            $this.click(function () {
                calendar.navigate($this.data('calendar-nav'));
            });
        });

        $('.btn-group button[data-calendar-view]').each(function () {
            var $this = $(this);
            $this.click(function () {
                calendar.view($this.data('calendar-view'));
            });
        });

        $('#first_day').change(function () {
            var value = $(this).val();
            value = value.length ? parseInt(value) : null;
            calendar.setOptions({first_day: value});
            calendar.view();
        });

        $('#language').change(function () {
            calendar.setLanguage($(this).val());
            calendar.view();
        });

        $('#events-in-modal').change(function () {
            var val = $(this).is(':checked') ? $(this).val() : null;
            calendar.setOptions({modal: val});
        });
        $('#events-modal .modal-header, #events-modal .modal-footer').click(function (e) {
            //e.preventDefault();
            //e.stopPropagation();
        });
    });
});
</script>
